Package org.eclipse.emf.compare.provider.spec

## Class Strings

- java.lang.Object
- - org.eclipse.emf.compare.provider.spec.Strings

    public final class Strings
    extends Object

Utility class for `String`s objects.

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `elide​(String original, int max, String suffix)` Shorten the given `original` string and append the given `suffix` if it is longest than the defined `max` length minus the length of the `suffix`.
`static String` `removeLineBreaks​(String original)` Removes line-breaks (\r\n or \r or \n) from the given `original` and replaces it with blanks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### elide

    public static String elide​(String original,
                               int max,
                               String suffix)

Shorten the given `original` string and append the given `suffix` if it is longest than the defined `max` length minus the length of the `suffix`.

The returned String length will always be in `Math.min(original.length, max)`.

Parameters:
  `original` - the original string to elide if necessary.
  `max` - the maximum length of the returned string.
  `suffix` - the suffix to append in case the original String is too long.
Returns:
  the elided string or the original string.

#### removeLineBreaks

    public static String removeLineBreaks​(String original)

Removes line-breaks (\r\n or \r or \n) from the given `original` and replaces it with blanks.

Parameters:
  `original` - the original string to remove line breaks from.
Returns:
  the string without line breaks but blanks instead.
Since:
  4.1